get
https://your-url-here.com/ClaimAPI/accounts//claims
Body Response - Schema
200 OK
{
"id": "id_1",
"claim_number": "number_id_1",
"claim_status": "closed",
"description": "Loss description",
"exposures": [
{
"_embedded": {
"exposures": [
{
"exposure_type": "Vehicle",
"coverage": "Collision",
"claimant": "Amy Smith",
"adjuster": "Frank Clark",
"paid": "1500.00",
"recoveries": "1000.00",
"vehicle_details": {
"driver_name": "John Smith",
"make": "Nissan",
"model": "Pickup",
"plate": "031939",
"relationship_to_insured": "Friend"
}
}
]
},
"total": 1
}
],
"loss_cause": "Collision with vehicle",
"loss_date": "2020-10-01",
"loss_estimate": "2020-10-01",
"loss_location": "Loss location",
"paid": "90",
"policy_number": "123-4567-8910",
"product": "product_name",
"recovered_amount": "3",
"report_date": "2020-10-02",
"custom_fields": [
{
"key": "claim_custom_fields",
"value": "000000"
}
]
}400's
ErrorInfo:
type: object
properties:
details:
type: array
items:
type: object
$ref: '#/definitions/ErrorDetails'
developerMessage:
type: string
errorCode:
type: string
status:
type: integer
userMessage:
type: string
definitions:
ErrorDetails:
type: object
properties:
message:
type: string
properties:
type: object
$ref: '#/definitions/ErrorDetailsProperties'
stackTrace:
type: string
ErrorDetailsProperties:
type: object
properties:
lineNumber:
type: integer
parameterLocation:
type: string
parameterName:
type: string
TroubleshootingIf you have any questions regarding the usage of this API, or if you’re having any technical issues, please open a ticket using this form.